Skip to main content
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
49Martyn
New

Hosting not fit for purpose

Deluxe multi hosting.

I don’t mind backing up my websites and moving them to new servers. This doesn’t explain why you have clearly sold me a package that is not fit for purpose. Google will not index websites that are not secure. What is the point of having a website that new customers cannot find? I have been waiting for a customer service agent. I have been guilty of having my hosting set to auto renew and you do not respect loyal customers. 

4 REPLIES 4
PL281
Super User IV

@49Martyn 

 

I'm an end user like you. I'm curious how / why you are saying the hosting is not fit.

 

It sounds like you do not have an SSL certificate install. Google will index / spider sites that do not have an SSL certificate, however depending on what type of device (mobile or desktop) your site might be lower down in the results.

 

That said many (if not all) of the GoDaddy hosting platforms support installing SSL certificates - some include a certificate, other require you to purchase a certificate from GoDaddy or install your own certificate obtained elsewhere.

I am a GoDaddy End User - Just Like You
Check out my site! | I currently manage over 300 WordPress Websites
* Please note that I offer free advice on this forum. Thank You Info If you would like personalized help, please contact me. Otherwise, please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community

Hi thanks for your message. 

I have deluxe multi hosting package that is not sold anymore. I had my account set to auto renew. No mention that this package doesn’t support php 7.3. 

This leaving my sites not indexed and vulnerable. 

On wp site health it tells you.

GoDaddy want me to pay for the new hosting package.

im disappointed that GoDaddy have not got any customer service and no other solution. Why would I trust them going forward. 

 

@49Martyn 

 

Thanks for the additional information - I can certainly understand your frustration - GoDaddy is migrating all of the "Deluxe Linux" packages over to new cPanel hosting accounts however this is a bit of a manual process - I know they've said they are doing it as quickly as possible - but I don't know what that timeline is. It is also my understanding that your renewal periods stay the same on the new server.

 

I'm guessing if you were being asked to pay for new hosting that would be is if you didn't want to wait for them to do the migration and you were going to do it yourself, that said I believe (not 100% sure) that you could get a credit for the old server if you want to do this yourself.

I am a GoDaddy End User - Just Like You
Check out my site! | I currently manage over 300 WordPress Websites
* Please note that I offer free advice on this forum. Thank You Info If you would like personalized help, please contact me. Otherwise, please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community

I don’t mind doing the migration over to the new package which has the latest php. What is annoying is the lack of customer service. 

Godaddy should have given me the option before I renewed my package. I have lost trust in them now and to have to pay upfront is not really acceptable. What I have now got could be easily sorted by GoDaddy.